From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/terminal-table/
Date: Tue, 11 May 2021 05:07:41 +0000 (UTC) [thread overview]
Message-ID: <1620709598.6d4d4ecb00920041fb58e8d92a86b12480fad895.graaff@gentoo> (raw)
commit: 6d4d4ecb00920041fb58e8d92a86b12480fad895
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 11 05:06:38 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 11 05:06:38 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d4d4ecb
dev-ruby/terminal-table: add 3.0.1
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/terminal-table/Manifest | 1 +
.../terminal-table/terminal-table-3.0.1.ebuild | 32 ++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-ruby/terminal-table/Manifest b/dev-ruby/terminal-table/Manifest
index 92a431fae55..c7d45862b14 100644
--- a/dev-ruby/terminal-table/Manifest
+++ b/dev-ruby/terminal-table/Manifest
@@ -1,3 +1,4 @@
DIST terminal-table-1.8.0.tar.gz 13407 BLAKE2B cf1653a18d2b6b72757b149295e01aee83d75241075912d145032e3bc73deb3e33fd00bef033f4bc90dcd51e4bd994b6966805ed7f81833392aba17bbdd7e179 SHA512 4ea4a66e8db384e448d57027e6314f9ce7a0e1511bbfa6e246e26c15a8ff3e44b46c8b6ca03dd521ffdd63b58976d400359131bc1869bf2dc04b3057f399e269
DIST terminal-table-2.0.0.tar.gz 14286 BLAKE2B aa4e132338a8bbdb8e665584fca947a5b92ee9b8126545b1fffd727d26c7158a9b1cf2959aa917bb93a47e01a4d605ca400d8ddb3be2f73da256ab2f96e91cde SHA512 568542f1fc60cfdb37b14f9d52d6fb6c3ccc36b5c0103c95e3d70fd5e1371c124c97cdea5a4d5a2ec63e34550624b38bd11e0af1073a8eefb3c5fd9eef427576
DIST terminal-table-3.0.0.tar.gz 23237 BLAKE2B caa8e3a4edd3be491cdcb914d3ad409da434c9dd0fbea407ced8db52f32c3490d6ae09864d3aaeb543944ce3f79d150e983baf656ceaf32bf23fceb7b8582dae SHA512 69ed7d76894e95c4456442d2c2b40ef7b5ee2b90fa2760f1e5271f1ceb569161ee34cb77e8bd9885c2543eed6c37df904c79d28cacf6dc7ddabcc1ab369206c0
+DIST terminal-table-3.0.1.tar.gz 25205 BLAKE2B af474858223e6a6a7d2339beea74c7610e2a7f20f8e3a72956d24b7a1078586f651235d708637c37399dd0c99d44c1d9b1e38b267ceabf3dbc5c40f5f1cad1d2 SHA512 fae7d19f92fc570ec0d23977a523f9381b14de6396d59c91d0e1e635de613876abeb3edfef9507955c93c29cb18ecf1dc717d7b227f118eb3b7e254835282251
diff --git a/dev-ruby/terminal-table/terminal-table-3.0.1.ebuild b/dev-ruby/terminal-table/terminal-table-3.0.1.ebuild
new file mode 100644
index 00000000000..98afda9cb1c
--- /dev/null
+++ b/dev-ruby/terminal-table/terminal-table-3.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.md Todo.rdoc"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, feature rich ascii table generation library"
+HOMEPAGE="https://github.com/tj/terminal-table"
+SRC_URI="https://github.com/tj/terminal-table/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm64"
+SLOT="$(ver_cut 1)"
+IUSE="test"
+
+ruby_add_rdepend "|| ( dev-ruby/unicode-display_width:2 >=dev-ruby/unicode-display_width-1.1.1:1 )"
+
+ruby_add_bdepend "test? ( dev-ruby/term-ansicolor )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2021-05-11 20:26 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-11 5:07 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-28 6:09 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/terminal-table/ Hans de Graaff
2024-05-27 5:04 Hans de Graaff
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2022-12-04 7:21 Hans de Graaff
2022-05-15 8:59 Hans de Graaff
2022-04-17 6:57 Hans de Graaff
2022-04-17 6:57 Hans de Graaff
2021-09-21 5:08 Hans de Graaff
2021-01-31 7:31 Hans de Graaff
2020-11-02 18:08 Hans de Graaff
2020-07-27 2:09 Sam James
2020-06-19 13:09 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1620709598.6d4d4ecb00920041fb58e8d92a86b12480fad895.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox